Angular Popover - Resize and Relocate

To change the size of the Popover, specify the height and width properties.

HTML
TypeScript
  • <img id="image" src="https://url/to/an/image" />
  • <dx-popover
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • [height]="300"
  • [width]="500">
  • <div *dxTemplate="let data of 'content'">
  • <p>Popover content</p>
  • </div>
  • </dx-popover>
  • import { DxPopoverModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopoverModule
  • ],
  • // ...
  • })

If you need to position the Popover against a certain side of the target element, set the position property.

HTML
TypeScript
  • <img id="image" src="https://url/to/an/image" />
  • <dx-popover
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • position="top"> <!-- or "bottom" | "left" | "right" -->
  • <div *dxTemplate="let data of 'content'">
  • <p>Popover content</p>
  • </div>
  • </dx-popover>
  • import { DxPopoverModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxPopoverModule
  • ],
  • // ...
  • })
See Also

React Popover - Resize and Relocate
To change the size of the Popover, specify the height and width properties.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { Popover } from 'devextreme-react/popover';
- const renderContent = () => {
- return (
- <p>Popover content</p>
- );
- };
- class App extends React.Component {
- render() {
- return (
- <div>
- <img id="image" src="https://url/to/an/image" />
- <Popover
- target="#image"
- showEvent="dxhoverstart"
- hideEvent="dxhoverend"
- height={300}
- width={500}
- contentRender={renderContent}
- />
- </div>
- );
- }
- }
- export default App;
If you need to position the Popover against a certain side of the target element, set the position property.
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { Popover } from 'devextreme-react/popover';
- const renderContent = () => {
- return (
- <p>Popover content</p>
- );
- };
- class App extends React.Component {
- render() {
- return (
- <div>
- <img id="image" src="https://url/to/an/image" />
- <Popover
- target="#image"
- showEvent="dxhoverstart"
- hideEvent="dxhoverend"
- contentRender={renderContent}
- position="top"/> {/* or "bottom" | "left" | "right" */}
- </div>
- );
- }
- }
- export default App;
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.